> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get a single user by ID, including extension, role, partner, admin tenants, and pharmacy locations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/users/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/users/{id}:
    get:
      tags:
        - Users
      summary: Get User
      description: >-
        Get a single user by ID, including extension, role, partner, admin
        tenants, and pharmacy locations
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: User ID
      responses:
        '200':
          description: User details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                  title:
                    anyOf:
                      - type: string
                      - type: 'null'
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                  userRoleId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  partnerId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  avatarPath:
                    anyOf:
                      - type: string
                      - type: 'null'
                  avatarThumbnailPath:
                    anyOf:
                      - type: string
                      - type: 'null'
                  extension:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          number:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                          - number
                        additionalProperties: {}
                      - type: 'null'
                  userRole:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: {}
                      - type: 'null'
                  partner:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: number
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: {}
                      - type: 'null'
                  pharmacyLocations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: number
                            - type: 'null'
                        type:
                          anyOf:
                            - type: string
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - type
                        - name
                      additionalProperties: {}
                  adminTenants:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - name
                      additionalProperties: {}
                required:
                  - id
                  - email
                  - title
                  - tenantId
                  - timezone
                  - userRoleId
                  - partnerId
                  - avatarPath
                  - avatarThumbnailPath
                  - extension
                  - userRole
                  - partner
                  - pharmacyLocations
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````